--CREAR PERFIL DE PROVEEDOR
declare @uid varchar(50)
select @uid=uid from seg_usuario where id=1
if not exists (select * from [seg_perfil] where perfil ='Proveedor' and paraProveedor=1) 
begin
insert into seg_perfil (eid,uid, perfil, paraProveedor) values ('01',@uid,'Proveedor',1)
end

declare @id_perfil as int
select @id_perfil=id from [seg_perfil] where perfil ='Proveedor' and paraProveedor=1

--************************************************SOLICITUDES*************************************************
--PERMISO PARA EL MENU SERVICIO
declare @id_funcionalidad as int
select @id_funcionalidad=1
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=1) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,1,'01',@uid,'') 
end

--PERMISO PARA EL MENU DE LAS SOLICITUDES
if not exists (select * from [seg_perfil_funcionalidad] where id_funcionalidad=59 and id_perfil=@id_perfil) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,59,'01',@uid,'') 
end

--PERMISO PARA PESTAŅA DE SOLICITUDES
select @id_funcionalidad=id from [gui_funcionalidad] where nombreControl='doc_documento_solicitud' and id_tipofuncionalidad=3 and url='/forms/doc/doc_documento_solicitud.aspx'
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO PARA PESTAŅA DE ABIERTAS
select @id_funcionalidad=id from [gui_funcionalidad] where nombreControl='doc_documento_solicitud' and id_tipofuncionalidad=3 and url='/forms/doc/doc_documento_solicitud.aspx?es=a'
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'')
end

--PERMISO PARA PESTAŅA DE CERRADAS
select @id_funcionalidad=id from [gui_funcionalidad] where nombreControl='doc_documento_solicitud' and id_tipofuncionalidad=3 and url='/forms/doc/doc_documento_solicitud.aspx?es=c'
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO PARA PESTAŅA DE CANCELADAS
select @id_funcionalidad=id from [gui_funcionalidad] where nombreControl='doc_documento_solicitud' and id_tipofuncionalidad=3 and url='/forms/doc/doc_documento_solicitud.aspx?es=d'
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'')
end

 --PERMISO PARA CREAR SOLICITUD
select @id_funcionalidad = min (id)  from [gui_funcionalidad] where nombreComando= 'crear' and id_tipoFuncionalidad=5 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where nombreControl='doc_documento_solicitud' and id_tipofuncionalidad=3 and url='/forms/doc/doc_documento_solicitud.aspx')
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO PARA IMPRIMIR SOLICITUD
select @id_funcionalidad = id_funcionalidad from rep_reporte where reporte_codigo='formatos/Solicitud'
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO REPORTE DE SERVICIOS
select @id_funcionalidad = id from [gui_funcionalidad] where id_tipofuncionalidad=7 and nombreComando='r' and id_funcionalidad=(select min(id) from [gui_funcionalidad] where nombreComando='seg' and id_tipofuncionalidad=6)
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO FORMULARIO INDICADOR
select @id_funcionalidad = id from [gui_funcionalidad] where id_tipofuncionalidad=3 and URL='/forms/rep/rep_indicador.aspx'
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad ,'01',@uid,'') 
end

--CREAR OT A PARTIR DE UNA SOLICITUD
select  @id_funcionalidad =id from [gui_funcionalidad] where url='/forms/doc/doc_documento_ot.aspx' and id_tipoFuncionalidad=2 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where nombreControl='doc_documento_solicitud' and id_tipofuncionalidad=3 and url='/forms/doc/doc_documento_solicitud.aspx')
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO TAB COMENTARIOS DE UNA SOLICITUD
select @id_funcionalidad = id from [gui_funcionalidad] where id_tipoFuncionalidad=1 and nombreControl='inc_comentarios'and id_funcionalidad=(select min(id) from [gui_funcionalidad] where nombreControl='doc_documento_solicitud' and id_tipofuncionalidad=3 and url='/forms/doc/doc_documento_solicitud.aspx')
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad= @id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil, @id_funcionalidad,'01',@uid,'') 
end

--PERMISO COMENTARIOS
select @id_funcionalidad = id from [gui_funcionalidad] where id_tipoFuncionalidad=3 and nombreControl='doc_documentoComentario_1'
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO CREAR COMENTARIOS
select @id_funcionalidad = id from [gui_funcionalidad] where id_tipoFuncionalidad=5 and nombreComando='crear' and id_funcionalidad=(select min(id) from [gui_funcionalidad] where id_tipoFuncionalidad=3 and nombreControl='doc_documentoComentario_1')
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--CONSULTAR EL TAB DOCUMENTOS
select @id_funcionalidad = id from [gui_funcionalidad] where nombreControl='inc_subDocumentos' and id_tipoFuncionalidad=1 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where nombreControl='doc_documento_solicitud' and id_tipofuncionalidad=3 and url='/forms/doc/doc_documento_solicitud.aspx')
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--***************************************************OTs*****************************************************
--TODAS LAS OTs
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=482) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,482,'01',@uid,'') 
end

--PESTAŅA DE TODAS LAS OTS
select  @id_funcionalidad = id from [gui_funcionalidad] where url='/forms/doc/doc_documento_ot.aspx' and id_tipoFuncionalidad=3 
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO PARA CREAR OTS
select @id_funcionalidad = min(id)  from [gui_funcionalidad] where nombreComando='crear' and id_tipoFuncionalidad=5 and id_funcionalidad=(select  min(id) from [gui_funcionalidad] where url='/forms/doc/doc_documento_ot.aspx' and id_tipoFuncionalidad=3 )
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--BOTON IMPRIMIR OTS ABIERTAS
select @id_funcionalidad =id from [gui_funcionalidad] where id_tipoFuncionalidad=5 and nombreComando='imprimir' and id_funcionalidad=(select min(id) from gui_funcionalidad where url='/forms/doc/doc_documento_ot.aspx?es=a' and id_tipoFuncionalidad=3)
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--IMPRIMIR OTS CERRADAS
select @id_funcionalidad =id from [gui_funcionalidad] where id_tipoFuncionalidad=5 and nombreComando='imprimir' and id_funcionalidad=(select min(id) from gui_funcionalidad where url='/forms/doc/doc_documento_ot.aspx?es=c' and id_tipoFuncionalidad=3)
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--INFO BASICA DE LA OT
select   @id_funcionalidad =id from [gui_funcionalidad] where nombreControl='doc_documento_ot' and id_tipoFuncionalidad=1 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where url='/forms/doc/doc_documento_ot.aspx' and id_tipoFuncionalidad=3)
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end


--*************************************************EQUIPOS***************************************************
--PERMISO PARA EL MENU EQUIPOS
select @id_funcionalidad = id from [gui_funcionalidad] where url='/forms/equ/equ_equipo.aspx?t=1' and id_tipofuncionalidad=3
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO PESTAŅA EQUIPOS
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=431) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,431,'01',@uid,'') 
end


--PERMISO PARA IMPRIMIR EQUIPO
select  @id_funcionalidad =id from [gui_funcionalidad] where nombreComando = 'imprimir' and id_tipoFuncionalidad=5 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where url='/forms/equ/equ_equipo.aspx?t=1' and id_tipofuncionalidad=3)
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO PARA VER LA INFO BASICA DEL EQUIPO
select @id_funcionalidad = id from [gui_funcionalidad] where nombreControl='equ_equipo' and id_tipofuncionalidad=1 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where url='/forms/equ/equ_equipo.aspx?t=1' and id_tipofuncionalidad=3)
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO TAB VARIABLES
select  @id_funcionalidad=id from [gui_funcionalidad] where nombreControl='inc_variablesEquipo' and id_tipofuncionalidad=1 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where url='/forms/equ/equ_equipo.aspx?t=1' and id_tipofuncionalidad=3)
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO TAB REGISTRO DE VARIABLES
select @id_funcionalidad= id from [gui_funcionalidad] where nombreCOMANDO='variables'and id_tipofuncionalidad=5 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where url='/forms/equ/equ_equipo.aspx?t=1' and id_tipofuncionalidad=3)
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO BOTON VARIABLES
select @id_funcionalidad= id from [gui_funcionalidad] where nombreCOMANDO= 'parametros' and id_tipofuncionalidad=2 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where url='/forms/equ/equ_equipo.aspx?t=1' and id_tipofuncionalidad=3)
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO PARA LA INFO BASICA VARIABLES
select @id_funcionalidad = id from [gui_funcionalidad] where nombreControl='gen_zona' and id_tipofuncionalidad=1 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where nombreControl='pop_registrarParametros' and id_tipofuncionalidad=2 and nombreComando='parametros' and id_funcionalidad =(select min(id) from [gui_funcionalidad] where url='/forms/equ/equ_equipo.aspx?t=1' and id_tipofuncionalidad=3))
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad ) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad ,'01',@uid,'') 
end

--PERMISO TAB HOROMETROS
select @id_funcionalidad=id from [gui_funcionalidad] where nombreControl='inc_horometroEquipo' and id_tipofuncionalidad=1 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where url='/forms/equ/equ_equipo.aspx?t=1' and id_tipofuncionalidad=3)
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISOS TAB COMPONENTES
select @id_funcionalidad = id from [gui_funcionalidad] where nombreControl='inc_subequipos' and id_tipofuncionalidad=1 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where url='/forms/equ/equ_equipo.aspx?t=1' and id_tipofuncionalidad=3)
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO PARA BUSCAR
select @id_funcionalidad = id from [gui_funcionalidad] where nombreControl='pop_buscarXatributos' and id_tipofuncionalidad=2 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where url='/forms/equ/equ_equipo.aspx?t=1' and id_tipofuncionalidad=3)
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--PERMISO BOTON ARCHIVOS
select @id_funcionalidad = id from [gui_funcionalidad] where nombreControl='pop_archivos' and id_tipofuncionalidad=2 and id_funcionalidad=(select min(id) from [gui_funcionalidad] where url='/forms/equ/equ_equipo.aspx?t=1' and id_tipofuncionalidad=3)
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end

--*************************************************PROGRAMACION***************************************************
select @id_funcionalidad = id from [gui_funcionalidad] where nombreControl='ort_programacion' and id_tipofuncionalidad=3
if not exists (select * from [seg_perfil_funcionalidad] where id_perfil=@id_perfil and id_funcionalidad=@id_funcionalidad) 
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@id_funcionalidad,'01',@uid,'') 
end


--**********************************BLOQUE HOME SOLICITUDES*******************************
--CREAR BLOQUE HOME DE SOLICITUDES PROVEEDOR
if not exists (select * from [gui_bloqueHome] where nombreControl='doc_documento.solicitud' and urlBusqueda='/forms/doc/doc_documento_solicitud.aspx' and filtro='id in (select id from doc_documento where id_tercero_proveedor=(select id_tercero from ter_contacto where id_usuario=[USUARIOACTUAL]))') 
begin
insert into [gui_bloqueHome] (eid,uid, bloqueHome, nombreControl, urlBusqueda, urlNuevo, orden, colorModulo, esGenerico, filtro) values ('01',@uid,'Solicitudes Proveedor', 'doc_documento.solicitud', '/forms/doc/doc_documento_solicitud.aspx', '/forms/general/formNuevo.aspx?nc=doc_documento_solicitud', '2', 'ort','1','id in (select id from doc_documento where id_tercero_proveedor=(select id_tercero from ter_contacto where id_usuario=[USUARIOACTUAL]))')
end

--CREAR DETTALES DEL BLOQUEHOME DE SOLICITUDES PROVEEDOR
declare @id_bloqueHomeSolicitud as int 
select @id_bloqueHomeSolicitud = id from [gui_bloqueHome] where nombreControl='doc_documento.solicitud' and urlBusqueda='/forms/doc/doc_documento_solicitud.aspx' and filtro='id in (select id from doc_documento where id_tercero_proveedor=(select id_tercero from ter_contacto where id_usuario=[USUARIOACTUAL]))'
if not exists (select * from [gui_detalleBloqueHome] where detalleBloqueHome='id_estadoTipoDocumento' and id_bloqueHome=@id_bloqueHomeSolicitud)
begin
insert into [gui_detalleBloqueHome] (eid,uid,detalleBloqueHome,detalleBloqueHome_codigo, id_bloqueHome, tipoCampo, orden, tipoBloqueHome) values ('01',@uid,'id_estadoTipoDocumento','id_tipoDocumento=1', @id_bloqueHomeSolicitud, '3', '3','2')
end

--ASIGNAR PERMISO AL PERFIL DE VER EL BLOQUEHOME DE SOLICITUDES PROVEEDOR
if not exists (select * from [seg_perfil_bloqueHome] where id_perfil=@id_perfil and id_bloqueHome=@id_bloqueHomeSolicitud)
begin
insert into [seg_perfil_bloqueHome] (eid,uid,id_perfil,id_bloqueHome,perfil_bloqueHome) values ('01',@uid,@id_perfil,@id_bloqueHomeSolicitud,'')
end


--*************************************BLOQUE HOME OTS***********************************
--CREAR BLOQUE HOME DE OT PROVEEDOR
if not exists (select * from [gui_bloqueHome] where nombreControl='doc_documento.ot' and urlBusqueda='/forms/doc/doc_documento_ot.aspx' and filtro='id in (select id from doc_documento where id_tercero_proveedor=(select id_tercero from ter_contacto where id_usuario=[USUARIOACTUAL]))') 
begin
insert into [gui_bloqueHome] (eid,uid, bloqueHome, nombreControl, urlBusqueda, urlNuevo, orden, colorModulo, esGenerico, filtro) values ('01',@uid,'OTs Proveedor', 'doc_documento.ot', '/forms/doc/doc_documento_ot.aspx', '/forms/general/formNuevo.aspx?nc=doc_documento_ot', '3', 'ort','1','id in (select id from doc_documento where id_tercero_proveedor=(select id_tercero from ter_contacto where id_usuario=[USUARIOACTUAL]))')
end

--CREAR DETTALES DEL BLOQUEHOME DE OT PROVEEDOR
declare @id_bloqueHomeOt as int 
select @id_bloqueHomeOt = id from [gui_bloqueHome] where nombreControl='doc_documento.ot' and urlBusqueda='/forms/doc/doc_documento_ot.aspx' and filtro='id in (select id from doc_documento where id_tercero_proveedor=(select id_tercero from ter_contacto where id_usuario=[USUARIOACTUAL]))'
if not exists (select * from [gui_detalleBloqueHome] where detalleBloqueHome='id_estadoTipoDocumento' and id_bloqueHome=@id_bloqueHomeOt )
begin
insert into [gui_detalleBloqueHome] (eid,uid,detalleBloqueHome,detalleBloqueHome_codigo, id_bloqueHome, tipoCampo, orden, tipoBloqueHome) values ('01',@uid,'id_estadoTipoDocumento','id_tipoDocumento=2', @id_bloqueHomeOt, '3', '3','2')
end

--ASIGNAR PERMISO AL PERFIL DE VER EL BLOQUEHOME DE OT PROVEEDOR
if not exists (select * from [seg_perfil_bloqueHome] where id_perfil=@id_perfil and id_bloqueHome=@id_bloqueHomeOt)
begin
insert into [seg_perfil_bloqueHome] (eid,uid,id_perfil,id_bloqueHome,perfil_bloqueHome) values ('01',@uid,@id_perfil,@id_bloqueHomeOt,'')
end


--*************************************BLOQUE HOME EQUIPOS***********************************
--CREAR BLOQUE HOME DE EQUIPOS PROVEEDOR
if not exists (select * from [gui_bloqueHome] where nombreControl='equ_equipo' and urlBusqueda='/forms/equ/equ_equipo.aspx' and filtro='id_tercero_servicio = (select id_tercero from ter_contacto where id_usuario=[USUARIOACTUAL])') 
begin
insert into [gui_bloqueHome] (eid,uid, bloqueHome, nombreControl, urlBusqueda, urlNuevo, orden, colorModulo, esGenerico, filtro) values ('01',@uid,'Equipos Proveedor', 'equ_equipo', '/forms/equ/equ_equipo.aspx', '/forms/general/formNuevo.aspx?nc=equ_equipo', '4', 'equ','1','id_tercero_servicio = (select id_tercero from ter_contacto where id_usuario=[USUARIOACTUAL])')
end

--CREAR DETTALES DEL BLOQUEHOME DE EQUIPOS PROVEEDOR
declare @id_bloqueHomeEquipos as int 
select @id_bloqueHomeEquipos = id from [gui_bloqueHome] where nombreControl='equ_equipo' and urlBusqueda='/forms/equ/equ_equipo.aspx' and filtro='id_tercero_servicio = (select id_tercero from ter_contacto where id_usuario=[USUARIOACTUAL])'
if not exists (select * from [gui_detalleBloqueHome] where detalleBloqueHome='id_catalogo.equipo' and id_bloqueHome=@id_bloqueHomeEquipos)
begin
insert into [gui_detalleBloqueHome] (eid,uid,detalleBloqueHome,detalleBloqueHome_codigo, id_bloqueHome, tipoCampo, orden, tipoBloqueHome) values ('01',@uid,'id_catalogo.equipo','', @id_bloqueHomeEquipos, '3', '3','2')
end

--ASIGNAR PERMISO AL PERFIL DE VER EL BLOQUEHOME DE EQUIPOS PROVEEDOR
if not exists (select * from [seg_perfil_bloqueHome] where id_perfil=@id_perfil and id_bloqueHome=@id_bloqueHomeEquipos)
begin
insert into [seg_perfil_bloqueHome] (eid,uid,id_perfil,id_bloqueHome,perfil_bloqueHome) values ('01',@uid,@id_perfil,@id_bloqueHomeEquipos,'')
end